##############################################################################
#
# PROJECT:	GEOS
# MODULE:	GeoNoid9000-Level-Editor
# FILE:	leveledn.gp
#
# DESCRIPTION:	This file contains Geode definitions for a Level-Editor for
# GeoNoid
#
##############################################################################
#
# Permanent name: This is required by Glue to set the permanent name
# and extension of the geode. The permanent name of a library is what
# goes in the imported library table of a client geode (along with the
# protocol number). It is also what Swat uses to name the patient.
#
name leveln.app
#
# Long filename: this name can displayed by GeoManager. "EC " is prepended to
# this when the error-checking version is linked by Glue.
#
longname "GeoNoid9000LevelEditor V1.1"
#
# Token: The four-letter name is used by GeoManager to locate the
# icon for this application in the token database.
#
tokenchars "GEN1"
tokenid 16457
#
# Specify geode type: This geode is an application, and will have its
# own process (thread).
#
type	appl, process, single
#
# Specify class name for application thread. Messages sent to the application
# thread (aka "process" when specified as the output of a UI object) will be
# handled by the LevelProcessClass, which is defined in hello.goc.
#
class	LevelProcessClass
#
# Specify application object. This is the object that serves as the top-level
# UI object in the application.
#
appobj	LevelApp

platform geos20

library	geos
library	ui

#
# Resources: list all resource blocks which are used by the application whose
# allocation flags can't be inferred by Glue. Usually this is needed only for
# object blocks, fixed code resources, or data resources that are read-only.
# Standard discardable code resources do not need to be mentioned.
#
resource APPRESOURCE object
resource APPMONIKERRESOURCE data
resource INTERFACE object
resource NUMMERNINTERFACE object
resource DISPLAYINTERFACE object
resource BLOCKRESOURCE object
resource BLOCKFEST data read-only discardable
resource MONIKERRESOURCE object
